Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.model.dlna
Enum DLNAOperations

    java.lang.Object
      java.lang.Enum<DLNAOperations>
          org.fourthline.cling.support.model.dlna.DLNAOperations

All Implemented Interfaces:
  Serializable, Comparable<DLNAOperations>

    public enum DLNAOperations

extends Enum<DLNAOperations>

DLNA.ORG_OP: operations parameter (string)

         "00" (or "0") neither time seek range nor range supported
         "01" range supported
         "10" time seek range supported
         "11" both time seek range and range supported

Author:
  Mario Franco

Enum Constant Summary
`NONE`
`RANGE`
`TIMESEEK`

Method Summary
`int` | `getCode()`
`static DLNAOperations` | `valueOf(int code)`
`static DLNAOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DLNAOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final DLNAOperations NONE

### RANGE

    public static final DLNAOperations RANGE

### TIMESEEK

    public static final DLNAOperations TIMESEEK

Method Detail

### values

    public static DLNAOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DLNAOperations c : DLNAOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DLNAOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCode

    public int getCode()

### valueOf

    public static DLNAOperations valueOf(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.